Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtNullPaintDevice Class Reference

`#include <qwt_null_paintdevice.h>`

Inheritance diagram for QwtNullPaintDevice:
[legend]

List of all members.

## Public Member Functions
| QwtNullPaintDevice (QPaintEngine::PaintEngineFeatures)
| QwtNullPaintDevice (const QSize &size, QPaintEngine::PaintEngineFeatures)
virtual | ~QwtNullPaintDevice ()
virtual void | drawEllipse (const QRectF &)
virtual void | drawEllipse (const QRect &)
virtual void | drawImage (const QRectF &, const QImage &, const QRectF &, Qt::ImageConversionFlags)
virtual void | drawLines (const QLine *, int)
virtual void | drawLines (const QLineF *, int)
virtual void | drawPath (const QPainterPath &)
virtual void | drawPixmap (const QRectF &, const QPixmap &, const QRectF &)
virtual void | drawPoints (const QPointF *, int)
virtual void | drawPoints (const QPoint *, int)
virtual void | drawPolygon (const QPointF *, int, QPaintEngine::PolygonDrawMode)
virtual void | drawPolygon (const QPoint *, int, QPaintEngine::PolygonDrawMode)
virtual void | drawRects (const QRect *, int)
virtual void | drawRects (const QRectF *, int)
virtual void | drawTextItem (const QPointF &, const QTextItem &)
virtual void | drawTiledPixmap (const QRectF &, const QPixmap &, const QPointF &s)
virtual int | metric (PaintDeviceMetric metric) const
virtual QPaintEngine * | paintEngine () const
void | setSize (const QSize &)
QSize | size () const
virtual void | updateState (const QPaintEngineState &state)

## Detailed Description

A null paint device doing nothing.

Sometimes important layout/rendering geometries are not available or changable from the public Qt class interface. ( f.e hidden in the style implementation ).

QwtNullPaintDevice can be used to manipulate or filter out these informations by analyzing the stream of paint primitives.

F.e. QwtNullPaintDevice is used by QwtPlotCanvas to identify styled backgrounds with rounded corners.

## Member Function Documentation

int QwtNullPaintDevice::metric | ( | PaintDeviceMetric | metric | ) | const
| virtual

See QPaintDevice::metric()

See also:
  setSize()

void QwtNullPaintDevice::setSize | ( | const QSize & | size | ) |

Set the size of the paint device

Parameters:

  size | Size

See also:
  size()

QSize QwtNullPaintDevice::size | ( |  | ) | const

Returns:
  Size of the paint device

See also:
  setSize()